module Top

  Pledge = Struct.new(:name, :amount)

  module PledgePool

  PLEDGES = [
    Pledge.new(:bronze, 50),
    Pledge.new(:silver, 75),
    Pledge.new(:gold, 100)
  ]

    def self.lists_pledge_options
      pledge_options = PledgePool::PLEDGES
      puts "\nThere are #{pledge_options.size} possible pledge amounts:\n"
    
        pledge_options.each do |option|
        puts "\tA #{option.name} pledge is worth $#{option.amount}."
      end
    end

    def self.random
      PLEDGES.sample
    end

  end
end


if __FILE__ == $0
  puts PledgePool::PLEDGES[2].name
  
  PledgePool::lists_pledge_options
  
  puts PledgePool::random.name
  
end